Loading...
Searching...
No Matches
decaf::EdDSA< Ed448Goldilocks >::Verification< CRTP, PURE > Class Reference

Verification (i.e. More...

`#include <ed448.hxx>`

## Public Member Functions

decaf_error_t DECAF_WARN_UNUSED | verify_noexcept (const FixedBlock< DECAF_EDDSA_448_SIGNATURE_BYTES > &sig, const Block &message, const Block &context=NO_CONTEXT()) const
| Verify a signature, returning DECAF_FAILURE if verification fails.
void | verify (const FixedBlock< DECAF_EDDSA_448_SIGNATURE_BYTES > &sig, const Block &message, const Block &context=NO_CONTEXT()) const
| Verify a signature, throwing an exception if verification fails.

## Detailed Description

Verification (i.e.

public) EdDSA key, PureEdDSA version.

## Member Function Documentation

## verify()

void decaf::EdDSA< Ed448Goldilocks >::Verification< CRTP, PURE >::verify | ( | const FixedBlock< DECAF_EDDSA_448_SIGNATURE_BYTES > & | sig,
|  | const Block & | message,
|  | const Block & | context = `NO_CONTEXT()`
| ) |  | const

inline

Verify a signature, throwing an exception if verification fails.

Parameters

  [in] | sig | The signature.
  [in] | message | The signed message.
  [in] | context | A context for the signature; must be at most 255 bytes.

Warning
  It is generally unsafe to use Ed25519 with both prehashed and non-prehashed messages.

The documentation for this class was generated from the following file:

- src/GENERATED/include/decaf/ed448.hxx